- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.ChangeLogsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#body.aspect)
- [ObjectType](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#ObjectType)
- [Action](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#Action)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#try-it)

Retrieves a list of change logs. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/changeLogs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only change logs with these IDs. |
| `userProfileIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only change logs with these user profile IDs. |
| `searchString` | `string` Select only change logs whose object ID, user name, old or new values match the search string. |
| `objectType` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#ObjectType`)`` Select only change logs with the specified object type. |
| `action` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs/list#Action`)`` Select only change logs with the specified action. |
| `minChangeTime` | `string` Select only change logs whose change time is after the specified `minChangeTime`.The time should be formatted as an [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) date/time string. For example, for 10:54 PM on July 18th, 2015, in the America/New York time zone, the format is "2015-07-18T22:54:00-04:00". In other words, the year, month, day, the letter T, the hour (24-hour clock system), minute, second, and then the time zone offset. |
| `maxResults` | `integer` Maximum number of results to return. |
| `maxChangeTime` | `string` Select only change logs whose change time is before the specified `maxChangeTime`.The time should be formatted as an RFC3339 date/time string. For example, for 10:54 PM on July 18th, 2015, in the America/New York time zone, the format is `"2015-07-18T22:54:00-04:00"`. In other words, the year, month, day, the letter T, the hour (24-hour clock system), minute, second, and then the time zone offset. |
| `objectIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only change logs with these object IDs. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |

### Request body

The request body must be empty.

### Response body

Change Log changeLogs.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "changeLogs": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs#ChangeLog`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#changeLogsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `changeLogs[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/changeLogs#ChangeLog`)`` Change log collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`

## ObjectType

| Enums ||
|---|---|
| `OBJECT_ADVERTISER` |   |
| `OBJECT_FLOODLIGHT_CONFIGURATION` |   |
| `OBJECT_AD` |   |
| `OBJECT_FLOODLIGHT_ACTVITY` |   |
| `OBJECT_CAMPAIGN` |   |
| `OBJECT_FLOODLIGHT_ACTIVITY_GROUP` |   |
| `OBJECT_CREATIVE` |   |
| `OBJECT_PLACEMENT` |   |
| `OBJECT_DFA_SITE` |   |
| `OBJECT_USER_ROLE` |   |
| `OBJECT_USER_PROFILE` |   |
| `OBJECT_ADVERTISER_GROUP` |   |
| `OBJECT_ACCOUNT` |   |
| `OBJECT_SUBACCOUNT` |   |
| `OBJECT_RICHMEDIA_CREATIVE` |   |
| `OBJECT_INSTREAM_CREATIVE` |   |
| `OBJECT_MEDIA_ORDER` |   |
| `OBJECT_CONTENT_CATEGORY` |   |
| `OBJECT_PLACEMENT_STRATEGY` |   |
| `OBJECT_SD_SITE` |   |
| `OBJECT_SIZE` |   |
| `OBJECT_CREATIVE_GROUP` |   |
| `OBJECT_CREATIVE_ASSET` |   |
| `OBJECT_USER_PROFILE_FILTER` |   |
| `OBJECT_LANDING_PAGE` |   |
| `OBJECT_CREATIVE_FIELD` |   |
| `OBJECT_REMARKETING_LIST` |   |
| `OBJECT_PROVIDED_LIST_CLIENT` |   |
| `OBJECT_EVENT_TAG` |   |
| `OBJECT_CREATIVE_BUNDLE` |   |
| `OBJECT_BILLING_ACCOUNT_GROUP` |   |
| `OBJECT_BILLING_FEATURE` |   |
| `OBJECT_RATE_CARD` |   |
| `OBJECT_ACCOUNT_BILLING_FEATURE` |   |
| `OBJECT_BILLING_MINIMUM_FEE` |   |
| `OBJECT_BILLING_PROFILE` |   |
| `OBJECT_PLAYSTORE_LINK` |   |
| `OBJECT_TARGETING_TEMPLATE` |   |
| `OBJECT_SEARCH_LIFT_STUDY` |   |
| `OBJECT_FLOODLIGHT_DV360_LINK` |   |
| `OBJECT_ADVERTISER_CUSTOMER_LINK` |   |
| `OBJECT_CONVERSION_DOMAIN` |   |
| `OBJECT_ACCOUNT_CONVERSION_DOMAIN` |   |

## Action

| Enums ||
|---|---|
| `ACTION_CREATE` |   |
| `ACTION_UPDATE` |   |
| `ACTION_DELETE` |   |
| `ACTION_ENABLE` |   |
| `ACTION_DISABLE` |   |
| `ACTION_ADD` |   |
| `ACTION_REMOVE` |   |
| `ACTION_MARK_AS_DEFAULT` |   |
| `ACTION_ASSOCIATE` |   |
| `ACTION_ASSIGN` |   |
| `ACTION_UNASSIGN` |   |
| `ACTION_SEND` |   |
| `ACTION_LINK` |   |
| `ACTION_UNLINK` |   |
| `ACTION_PUSH` |   |
| `ACTION_EMAIL_TAGS` |   |
| `ACTION_SHARE` |   |